Bug 507246 - [QLogic 5.4 bug] qla2xxx - updates and fixes from upstream, part 5
[QLogic 5.4 bug] qla2xxx - updates and fixes from upstream, part 5
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 460170
  Show dependency treegraph
Reported: 2009-06-21 19:24 EDT by Marcus Barrow
Modified: 2009-09-03 10:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 04:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
qla2xxx - updates 5 (66.68 KB, patch)
2009-06-21 21:09 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-06-21 19:24:39 EDT
Testing at QLogic has provided the following fixes. Most are upstream, details below.  

 - Encapsulate printks in proper DEBUG macros
 - Do not initialize adapter if qla2x00_get_fw_version fails:  Upstream
 - Fixed messages while falling back to gold firmware:  Upstream
 - Add 10Gb iiDMA support:  Upstream
 - Add notification message when an NPIV fails to acquire a port-id:  Upstream
 - Fallback enode mac should not be a multicast address:  Upstream
 - Avoid redundant RISC reset during re-initialization:  Upstream
 - Query supported RISC registers bits in determining a paused state:  Upstream
 - Avoid DPC processing while driver is unloading:  Upstream
 - Avoid explicit LOGO during driver host tear down:  Upstream
 - Reduce lock contention during DPC processing:  Upstream
 - Remove noisy ct els .not available message:  Upstream
 - Conditionally disable automatic queue full tracking:  Upstream
 - Fixup qla2x00_eh_wait_on_command usages:  Upstream
 - Add Loopback support using Netlink Interface:  Management App support, going upstream

These are in process to be submitted upstream:

 - Export firmware state for application support:   
 - Propagate residual length to upper layers
 - Fix EEH handling
 - Limit querying to supported mailbox registers while reading FW state
 - Correct iiDMA update calling conventions
 - Added iIDMA get set support for Application

 - Updated driver version to
Comment 1 Marcus Barrow 2009-06-21 21:09:49 EDT
Created attachment 348833 [details]
qla2xxx - updates 5
Comment 2 RHEL Product and Program Management 2009-06-22 17:53:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 Don Zickus 2009-07-14 16:57:46 EDT
in kernel-2.6.18-158.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Richard A Lary 2009-07-14 18:48:15 EDT
Verified driver recovered from injected EEH error as expected on Power PC
server with qla2xxx and qlge

errinjct ioa-bus-error -v -m 0x0 -a 0xFF000000 -f 0 -s scsi_host/host1
BUS ADDR:               ff000000
ADDR MASK:              00000000
CONFIG ADDR:            10000
PHB UNIT_ID:            800000020000205
FUNCTION:               0
Load to PCI Memory Address Space - inject an Address Parity Error
Call to RTAS errinjct succeeded!

If the correct information was provided and there is
activity on the bus, the hardware should hit the error
However, if incorrect information was provided or there
is no bus activity, you may not get a hit.

[root@sanx1001 tmp]# Call Trace:
[C00000000ED93BA0] [C000000000010430] .show_stack+0x68/0x1b0 (unreliable)
[C00000000ED93C40] [C000000000052088] .eeh_dn_check_failure+0x244/0x284
[C00000000ED93CF0] [C00000000005276C] .eeh_check_failure+0xe0/0x108
[C00000000ED93D70] [D00000000049A2B8] .qla24xx_intr_handler+0xf0/0x570
[C00000000ED93E40] [C0000000000ACE64] .handle_IRQ_event+0xd4/0x1a4
[C00000000ED93EF0] [C0000000000AF048] .handle_fasteoi_irq+0x100/0x1bc
[C00000000ED93F90] [C0000000000272F0] .call_handle_irq+0x1c/0x2c
[C00000079FE5FA60] [C00000000000D140] .do_IRQ+0xf4/0x1a4
[C00000079FE5FAF0] [C0000000000044F4] hardware_interrupt_entry+0xc/0x10
--- Exception: 501 at .plpar_hcall_norets+0x10/0x1c
    LR = .pseries_dedicated_idle_sleep+0x160/0x1c4
[C00000079FE5FDE0] [C00000079FE5FE80] 0xc00000079fe5fe80 (unreliable)
[C00000079FE5FE80] [C000000000012944] .cpu_idle+0x110/0x1e8
[C00000079FE5FF00] [C00000000002ACF4] .start_secondary+0x164/0x188
[C00000079FE5FF90] [C0000000000083BC] .start_secondary_prolog+0xc/0x10
EEH: This PCI device has failed 1 times in the last hour:
EEH: location=U78A0.001.DNWGWD7-P1-C2-T2 driver=qla2xxx pci addr=0005:01:00.3
qla2xxx 0005:01:00.2: error_detected:state 2
qla2xxx 0005:01:00.3: error_detected:state 2
qlge 0005:01:00.0: ql_eeh_timer: STS = 0xffffffff.
qlge 0005:01:00.1: ql_eeh_timer: STS = 0xffffffff.
EEH: of node=/pci@800000020000205/fibre-channel@0,3
EEH: PCI device/vendor: 80011077
EEH: PCI cmd/status register: 00100000
EEH: PCI-E capabilities and status follow:
EEH: PCI-E 00: 00028810
EEH: PCI-E 01: 10008183
EEH: PCI-E 02: 00002810
EEH: PCI-E 03: 0000d482
EEH: PCI-E 04: 10810000
EEH: PCI-E 05: 00000000
EEH: PCI-E 06: 00000000
EEH: PCI-E 07: 00000000
EEH: PCI-E 08: 00000000
RTAS: event: 215, Type: Platform Error, Severity: 2
qla2xxx 0005:01:00.2: slot_reset
qla2xxx 0005:01:00.2: Performing ISP error recovery - ha= c00000098f9984f8.
qla2xxx 0005:01:00.2: LOOP UP detected (10 Gbps).
qla2xxx 0005:01:00.2: slot_reset-return:ret=5

qla2xxx 0005:01:00.3: slot_reset
qla2xxx 0005:01:00.3: Performing ISP error recovery - ha= c0000007a07c44f8.
qla2xxx 0005:01:00.3: LOOP UP detected (10 Gbps).
qla2xxx 0005:01:00.3: slot_reset-return:ret=5

qlge 0005:01:00.0: ql_link_on: eth2: Link is Up.
qlge 0005:01:00.1: ql_link_on: eth3: Link is Up.

qla2xxx 0005:01:00.2: pci_resume
qla2xxx 0005:01:00.3: pci_resume
Comment 10 Marcus Barrow 2009-07-29 15:43:13 EDT
Verified in 2.6.18-158.
Comment 12 errata-xmlrpc 2009-09-02 04:29:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.